//-----------------------------------------------------------------------------
//    ADC example program for ZL32ARM
//-----------------------------------------------------------------------------
//
//    THE SOFTWARE INCLUDED IN THIS FILE IS FOR GUIDANCE ONLY.
//    BTC KORPORACJA SHALL NOT BE HELD LIABLE FOR ANY DIRECT, INDIRECT
//    OR CONSEQUENTIAL DAMAGES WITH RESPECT TO ANY CLAIMS ARISING
//    FROM USE OF THIS SOFTWARE.
//
//-----------------------------------------------------------------------------


//-----------------------------------------------------------------------------
// This program reads potentiometer position (0 ADC channel) and lits LED 1
// when potentiometer position is grater than 1/3 and LED 2 when potentiometer
// position is grater than 2/3.
//-----------------------------------------------------------------------------


#include "LPC11xx.h"
#include "adc.h"
#include "gpio.h"


extern volatile uint32_t ADCValue[ADC_NUM];


int main (void)
{
  uint32_t i, ADC1Val;
  
  SystemInit();

  /* Enable AHB clock to the GPIO domain. */
  LPC_SYSCON->SYSAHBCLKCTRL |= (1<<6);

  /* Configure PIO0_6 and PIO0_7 as outputs */
  GPIOSetDir( 0, 6, 1 );
  GPIOSetDir( 0, 7, 1 );
	
  /* Initialize ADC  */
  ADCInit( ADC_CLK );

  while ( 1 )
  {
  	ADCValue[0] = ADCRead( 0 );	
	GPIOSetValue( 0, 7, ( ADCValue[0] > 0x155 ) ? 1 : 0 );
	GPIOSetValue( 0, 6, ( ADCValue[0] > 0x2AA ) ? 1 : 0 );		
  }
}