//-----------------------------------------------------------------------------
//    LED example program for ZL32ARM
//-----------------------------------------------------------------------------
//
//    THE SOFTWARE INCLUDED IN THIS FILE IS FOR GUIDANCE ONLY.
//    BTC KORPORACJA SHALL NOT BE HELD LIABLE FOR ANY DIRECT, INDIRECT
//    OR CONSEQUENTIAL DAMAGES WITH RESPECT TO ANY CLAIMS ARISING
//    FROM USE OF THIS SOFTWARE.
//
//-----------------------------------------------------------------------------


//-----------------------------------------------------------------------------
// This program blinks both LEDs until pressing joystick. Then moving joystick
// in left position turns on LED and in right position LED 2.
//-----------------------------------------------------------------------------


#include "LPC11xx.h"     
#include "clkconfig.h"
#include "gpio.h"


int main (void) {
  int i;

  SystemInit();

  /* Enable AHB clock to the GPIO domain. */
  LPC_SYSCON->SYSAHBCLKCTRL |= (1<<6);

  /* Configure PIO0_6 and PIO0_7 as outputs */
  GPIOSetDir( 0, 6, 1 );
  GPIOSetDir( 0, 7, 1 );

  /* Configure joystick PIO lines as inputs */
  GPIOSetDir( 0, 3, 0 );  // ok
  GPIOSetDir( 1, 8, 0 );  // up
  GPIOSetDir( 1, 9, 0 );  // down
  GPIOSetDir( 1, 10, 0 ); // left
  GPIOSetDir( 1, 11, 0 ); // right

  /* LEDs will blink until joystick is pressed */
  while ((LPC_GPIO0->DATA & 0x8)!=0)  
  {
  	GPIOSetValue( 0, 6, i<0xFFFF);
	GPIOSetValue( 0, 7, i>=0xFFFF);
	if (i++>0x1FFFE) i = 0;
  }

  /* Turn on proper LED when joystick is in left or right position */
  while (1)
  {	
 	GPIOSetValue( 0, 6, LPC_GPIO1->DATA & (1 << 10));
	GPIOSetValue( 0, 7, LPC_GPIO1->DATA & (1 << 11));
  }

}
